({
  extendsFrom: 'bwc',

  initialize: function(options) {
    this._super('initialize', [options]);
  },

  loadIframe:function(){
    var sugar_module = this.options.context.parent.attributes.module;
    var sugar_record = this.options.context.parent.attributes.modelId;
    app.api.me('read', null, null, {
      success: function(data) {
        if (data && data.current_user && data.current_user.inbox25_url_ts) {
          var inbox25_url = data.current_user.inbox25_url;
          var inbox25_url_ts = data.current_user.inbox25_url_ts;
          if(inbox25_url != 'https://www.inbox25.com/timelinefail.php') {
            inbox25_url += (sugar_module == 'Opportunities') ? '&sugar_id_opp=' : '&sugar_id=';
            inbox25_url += sugar_record;
            inbox25_url += '&sugar_module=';
            inbox25_url += sugar_module;
            inbox25_url += inbox25_url_ts;
            inbox25_url += '&suid=' + app.user.id;
          }
          $('#inbox25_url').attr('src', inbox25_url);
        }
      },
      error: function(err) {
        app.error.handleHttpError(err);
      }
    });

  }

})
